summaryrefslogtreecommitdiff
path: root/test/panicsel-k.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/panicsel-k.sh')
-rwxr-xr-xtest/panicsel-k.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/test/panicsel-k.sh b/test/panicsel-k.sh
new file mode 100755
index 0000000..6737698
--- /dev/null
+++ b/test/panicsel-k.sh
@@ -0,0 +1,13 @@
+# ABAT test for panicsel kernel patch
+# tag: panicsel__build
+echo "panicsel kernel patch (BMC_PANIC), basic acceptance test"
+# dmesg |grep "BMC IPMI" >/dev/null 2>&1
+dmesg |grep bmc_panic >/dev/null 2>&1
+if [ $? -eq 0 ]
+then
+ echo "%%SUCCESS%%"
+ exit 0
+else
+ echo "%%FAILURE%%"
+ exit 1
+fi